Bug 844859

Summary: [abrt] calibre-0.8.50-1.fc17: news.py:755:__init__:ValueError: The "Der Spiegel" recipe needs a username and password.
Product: [Fedora] Fedora Reporter: vikram goyal <vikigoyal>
Component: calibreAssignee: Kevin Fenzi <kevin>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: chkr, frankly3d, kevin, mbacovsk, nushio
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:ff5e11bb9920d1453ae1f818b2082ab90c57a7db
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-06 13:31:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description vikram goyal 2012-08-01 01:02:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python2 /usr/bin/calibre-parallel
comment:        I was downloading news from Der Spiegel. Username/Password was required for downloading but I clicked Download button without filling out the info. It crashed maybe because of that.
executable:     /usr/bin/calibre-parallel
kernel:         3.4.6-2.fc17.x86_64
time:           Wed 01 Aug 2012 10:29:34 AM IST
uid:            1000
username:       vikram

backtrace:
:news.py:755:__init__:ValueError: The "Der Spiegel" recipe needs a username and password.
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 190, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 972, in run
:    accelerators, tdir)
:  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 208, in __call__
:    log, accelerators)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/recipe_input.py", line 103, in convert
:    ro = recipe(opts, log, self.report_progress)
:  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 755, in __init__
:    raise ValueError(_('The "%s" recipe needs a username and password.')%self.title)
:ValueError: The "Der Spiegel" recipe needs a username and password.
:
:Local variables in innermost frame:
:self: <DerSpiegel object at 0x2006a10>
:progress_reporter: <calibre.ebooks.conversion.plumber.CompositeProgressReporter object at 0x1dd78d0>
:log: <calibre.utils.logging.Log object at 0x195f8d0>
:options: <calibre.ebooks.conversion.plumber.OptionValues object at 0x196d390>

smolt_data:
:
:
:General
:=================================
:UUID: 7e88a122-b99d-45f8-b5fb-4ba973609d6c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5066.73
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E7200  @ 2.53GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2534
:System Memory: 3001
:System Swap: 5396
:Vendor: Hewlett-Packard
:System: HP dx2480 MT(FX801PA) 
:Form factor: Desktop
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10520:4156:12347) pci, None, PCI/ISA, 82801IB (ICH9) LPC Interface Controller
:(4332:33128:4156:12347) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10690:4156:12347) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10529:4156:12347) pci, ata_piix, STORAGE, 82801IB (ICH9) 2 port SATA IDE Controller
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10534:4156:12347) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:10558:4156:12347) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10549:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4156:12347) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9294:32902:9294) pci, None, PCI/PCI, 82801 PCI Bridge
:(4279:36944:0:0) pci, 3c59x, ETHERNET, 3c905 100BaseTX [Boomerang]
:(32902:10548:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10688:4156:12347) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10550:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4156:12347) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:12347) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 13082377 9221817 8566365 3278576 2878012 2878012
:/dev/sdb2 WITHHELD ext4 4096 4096 243543441 39672750 27482628 60956672 57441552 57441552
:/dev/sda1 /boot ext4 1024 1024 253445 156195 143395 64256 63861 63861
:/dev/mapper/luks-72d81c9a-94e3-421a-b2b0-a67a8f42efe9 WITHHELD ext4 4096 4096 24864214 5830585 4585372 6234112 6197140 6197140
:
Comment 1 Kevin Fenzi 2012-08-01 10:34:31 EDT
Yep. Thats exactly it. 

Not sure what can be done here... I guess we could ask upstream to catch the traceback and provide a nice error dialog, but I don't think thats too likely.